/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { buttonColor, buttonVariant } from "../button/Button";
import "../icon/Icon";
import "../link/Link";
import { LitElement, TemplateResult } from "lit";
export declare namespace Alert {
    type buttonVariant = (typeof buttonVariant)[number];
    type buttonColor = (typeof buttonColor)[number];
    class ELEMENT extends LitElement {
        closable: boolean;
        message: string;
        show: boolean;
        internalClose: boolean;
        title: string;
        btnlabel: string;
        type: string;
        inline: boolean;
        newMomentum: boolean;
        primaryButton: string;
        primaryButtonVariant: Alert.buttonVariant;
        primaryButtonColor: Alert.buttonColor;
        primaryButtonClickFunction?: () => void;
        secondaryButton: string;
        secondaryButtonClickFunction?: () => void;
        link: boolean;
        showMore: boolean;
        href: string;
        private readonly alertFooterSlot;
        private hasFooterSlotContent;
        connectedCallback(): void;
        close(): void;
        static get styles(): import("lit").CSSResult[];
        renderIconTemplate: () => TemplateResult<1>;
        get alertClassMap(): {
            [x: string]: boolean;
            "md-alert__inline": boolean;
        };
        private get slottedFooterClassMap();
        legacyRender(): TemplateResult;
        renderNewAlertDefaultFooter(): TemplateResult;
        handleSlotContentChange(_event: Event): void;
        private updateFooterSlotInUse;
        renderSlottedFooter(): TemplateResult;
        newRender(): TemplateResult;
        get alertRender(): TemplateResult;
        render(): TemplateResult;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-alert": Alert.ELEMENT;
    }
}
